From e3cdbd4ccdd4c65d4e7966c26d56c2996526345f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 14 2020 23:11:52 +0000
Subject: [PATCH 1380/2232] Fix testing for symlink denied on initial builds


---

diff --git a/tools/cargo/build.rs b/tools/cargo/build.rs
index 6c9d22d..93e9c35 100644
--- a/tools/cargo/build.rs
+++ b/tools/cargo/build.rs
@@ -61,7 +61,7 @@ fn main() {
         let from_dir = parent_dir.join("from");
         let to_dir = parent_dir.join("to");
         if fs::create_dir_all(&from_dir).is_ok()
-            && fs::remove_dir(&to_dir).is_ok()
+            && (!to_dir.exists() || fs::remove_dir(&to_dir).is_ok())
             && windows::symlink_dir(&from_dir, &to_dir).is_err()
         {
             message = DENIED;

